window.onload = function() {
    new QWebChannel(qt.webChannelTransport, function (channel) {
        window.backend = channel.objects.backend;
    });

    var mapDiv = 'mapL';

    var map = L.map(mapDiv, {
        center: [39.8333, -98.5833],
        zoom: 4,
        dragging: true,
        scrollWheelZoom: true,
        proxyHost: 'http://srtm.webglearth.com/cgi-bin/corsproxy.fcgi?url='
    });

    L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token={accessToken}', {
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            maxZoom: 18,
            id: 'mapbox.satellite',
            accessToken: 'pk.eyJ1IjoiZHplbGVuYWsiLCJhIjoiY2pqa2VpeWd3MTB0azNxbnowdmNyeG9qMiJ9.9S-ZHbulHg6aB9R5vM4cCg'
        }).addTo(map);

   // Add HV-tile features overlay to the map
   var hv_tiles = [
    {
"type": "FeatureCollection",
"name": "ncompare_test",
"crs": { "type": "name", "properties": { "name": "urn:ogc:def:crs:OGC:1.3:CRS84" } },
"features": [
{ "type": "Feature", "properties": { "Name": "h1v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h1v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>0<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>1<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h1v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -123.497486436744396, 36.215533762416143, 0.0 ], [ -121.875659184729301, 36.586669527740298, 0.0 ], [ -122.338645749024096, 37.875077396044411, 0.0 ], [ -123.986206390510802, 37.4977132390949, 0.0 ], [ -123.497486436744396, 36.215533762416143, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h2v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h2v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>1<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>2<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h2v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -121.428284426395706, 35.295597262866053, 0.0 ], [ -119.8166353245729, 35.638940255154772, 0.0 ], [ -120.238228591359203, 36.935615953018548, 0.0 ], [ -121.875659184729301, 36.586669527740298, 0.0 ], [ -121.428284426395706, 35.295597262866053, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h2v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h2v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>2<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>2<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h2v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -121.875659184729301, 36.586669527740298, 0.0 ], [ -120.238228591359203, 36.935615953018548, 0.0 ], [ -120.674673930569497, 38.229987424992139, 0.0 ], [ -122.338645749024096, 37.875077396044411, 0.0 ], [ -121.875659184729301, 36.586669527740298, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h3v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h3v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>3<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>3<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h3v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -119.8166353245729, 35.638940255154772, 0.0 ], [ -118.190871459854193, 35.960081342223347, 0.0 ], [ -118.585954218220493, 37.262086717429483, 0.0 ], [ -120.238228591359203, 36.935615953018548, 0.0 ], [ -119.8166353245729, 35.638940255154772, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h3v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h3v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>4<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>3<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h3v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -120.238228591359203, 36.935615953018548, 0.0 ], [ -118.585954218220493, 37.262086717429483, 0.0 ], [ -118.995079559549197, 38.562133902312503, 0.0 ], [ -120.674673930569497, 38.229987424992139, 0.0 ], [ -120.238228591359203, 36.935615953018548, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h4v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h4v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>5<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>4<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h4v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -118.190871459854193, 35.960081342223347, 0.0 ], [ -116.551770246516398, 36.25876483477964, 0.0 ], [ -116.919645320663193, 37.565805348859833, 0.0 ], [ -118.585954218220493, 37.262086717429483, 0.0 ], [ -118.190871459854193, 35.960081342223347, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h4v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h4v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>4<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h4v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -118.585954218220493, 37.262086717429483, 0.0 ], [ -116.919645320663193, 37.565805348859833, 0.0 ], [ -117.3007051370586, 38.871217732601799, 0.0 ], [ -118.995079559549197, 38.562133902312503, 0.0 ], [ -118.585954218220493, 37.262086717429483, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h4v3", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h4v3<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>4<\/td> <\/tr> <tr> <td>v<\/td> <td>3<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h4v3<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -121.279402788037302, 45.054838339908407, 0.0 ], [ -119.430457278669195, 45.396727251419492, 0.0 ], [ -119.907454445568803, 46.706697151934463, 0.0 ], [ -121.7904655687245, 46.356783868210613, 0.0 ], [ -121.279402788037302, 45.054838339908407, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h4v2", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h4v2<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>4<\/td> <\/tr> <tr> <td>v<\/td> <td>2<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h4v2<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -121.7904655687245, 46.356783868210613, 0.0 ], [ -119.907454445568803, 46.706697151934463, 0.0 ], [ -120.403839377290794, 48.020290871783978, 0.0 ], [ -122.322077138215704, 47.661748459601213, 0.0 ], [ -121.7904655687245, 46.356783868210613, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h5v3", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h5v3<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>5<\/td> <\/tr> <tr> <td>v<\/td> <td>3<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h5v3<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -119.430457278669195, 45.396727251419492, 0.0 ], [ -117.5632285293336, 45.7133048850419, 0.0 ], [ -118.005069919806203, 47.030839699709297, 0.0 ], [ -119.907454445568803, 46.706697151934463, 0.0 ], [ -119.430457278669195, 45.396727251419492, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h5v2", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h5v2<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>5<\/td> <\/tr> <tr> <td>v<\/td> <td>2<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h5v2<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -119.907454445568803, 46.706697151934463, 0.0 ], [ -118.005069919806203, 47.030839699709297, 0.0 ], [ -118.465051877854194, 48.352578137253012, 0.0 ], [ -120.403839377290794, 48.020290871783978, 0.0 ], [ -119.907454445568803, 46.706697151934463, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h13v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h13v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>11<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>13<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h13v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -103.616734471638196, 43.155951643167903, 0.0 ], [ -101.766040751994694, 43.250453163077857, 0.0 ], [ -101.880853843745697, 44.592858049661523, 0.0 ], [ -103.768112761553695, 44.496235518318031, 0.0 ], [ -103.616734471638196, 43.155951643167903, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h13v5", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h13v5<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>12<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>13<\/td> <\/tr> <tr> <td>v<\/td> <td>5<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h13v5<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -103.768112761553695, 44.496235518318031, 0.0 ], [ -101.880853843745697, 44.592858049661523, 0.0 ], [ -102.000325932163094, 45.939103264711846, 0.0 ], [ -103.925615940720604, 45.840198848429537, 0.0 ], [ -103.768112761553695, 44.496235518318031, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h14v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h14v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>13<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>14<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h14v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -101.766040751994694, 43.250453163077857, 0.0 ], [ -99.910958360561679, 43.318822695735633, 0.0 ], [ -99.988939598517419, 44.662768737763848, 0.0 ], [ -101.880853843745697, 44.592858049661523, 0.0 ], [ -101.766040751994694, 43.250453163077857, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h14v5", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h14v5<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>14<\/td> <\/tr> <tr> <td>v<\/td> <td>5<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h14v5<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -101.880853843745697, 44.592858049661523, 0.0 ], [ -99.988939598517419, 44.662768737763848, 0.0 ], [ -100.0700919250894, 46.010672439648737, 0.0 ], [ -102.000325932163094, 45.939103264711846, 0.0 ], [ -101.880853843745697, 44.592858049661523, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h16v20", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h16v20<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>15<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>16<\/td> <\/tr> <tr> <td>v<\/td> <td>20<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h16v20<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -97.611464967132633, 24.499572170889738, 0.0 ], [ -96.151686853144383, 24.512308465743288, 0.0 ], [ -96.15405347109278, 25.882103026779799, 0.0 ], [ -97.636602151142327, 25.869225878145539, 0.0 ], [ -97.611464967132633, 24.499572170889738, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h19v15", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h19v15<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>16<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>19<\/td> <\/tr> <tr> <td>v<\/td> <td>15<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h19v15<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -93.002496796087129, 31.268365823129741, 0.0 ], [ -91.423640379159664, 31.214655163444551, 0.0 ], [ -91.346321379631618, 32.559641457061893, 0.0 ], [ -92.951807175928252, 32.614127991910493, 0.0 ], [ -93.002496796087129, 31.268365823129741, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h19v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h19v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>17<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>19<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h19v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -92.951807175928252, 32.614127991910493, 0.0 ], [ -91.346321379631618, 32.559641457061893, 0.0 ], [ -91.266347021611054, 33.901625251804653, 0.0 ], [ -92.899374299374017, 33.956939579877783, 0.0 ], [ -92.951807175928252, 32.614127991910493, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h20v15", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h20v15<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>18<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>20<\/td> <\/tr> <tr> <td>v<\/td> <td>15<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h20v15<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -91.423640379159664, 31.214655163444551, 0.0 ], [ -89.847307942008527, 31.13857982710234, 0.0 ], [ -89.743489432403265, 32.482470787815522, 0.0 ], [ -91.346321379631618, 32.559641457061893, 0.0 ], [ -91.423640379159664, 31.214655163444551, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h20v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h20v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>19<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>20<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h20v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -91.346321379631618, 32.559641457061893, 0.0 ], [ -89.743489432403265, 32.482470787815522, 0.0 ], [ -89.636112518751247, 33.823286047822968, 0.0 ], [ -91.266347021611054, 33.901625251804653, 0.0 ], [ -91.346321379631618, 32.559641457061893, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h21v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h21v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>20<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>21<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h21v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -89.167099373896164, 39.168407600137513, 0.0 ], [ -87.421866005367505, 39.060007016004889, 0.0 ], [ -87.261202610880531, 40.393056402402237, 0.0 ], [ -89.038861180817719, 40.503545232089387, 0.0 ], [ -89.167099373896164, 39.168407600137513, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h21v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h21v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>21<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>21<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h21v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -89.038861180817719, 40.503545232089387, 0.0 ], [ -87.261202610880531, 40.393056402402237, 0.0 ], [ -87.094424046196508, 41.726987296127817, 0.0 ], [ -88.905726551051416, 41.839711500434952, 0.0 ], [ -89.038861180817719, 40.503545232089387, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h22v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h22v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>22<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>22<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h22v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -88.144213878218096, 32.382673064861073, 0.0 ], [ -86.549385211963383, 32.260321516698561, 0.0 ], [ -86.387805883707642, 33.597798258607781, 0.0 ], [ -88.009620080270906, 33.721983903070011, 0.0 ], [ -88.144213878218096, 32.382673064861073, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h22v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h22v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>23<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>22<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h22v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -87.421866005367505, 39.060007016004889, 0.0 ], [ -85.68241454278926, 38.927171469787538, 0.0 ], [ -85.489654983192196, 40.257677649394807, 0.0 ], [ -87.261202610880531, 40.393056402402237, 0.0 ], [ -87.421866005367505, 39.060007016004889, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h22v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h22v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>24<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>22<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h22v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -87.261202610880531, 40.393056402402237, 0.0 ], [ -85.489654983192196, 40.257677649394807, 0.0 ], [ -85.289586887568305, 41.588886956736808, 0.0 ], [ -87.094424046196508, 41.726987296127817, 0.0 ], [ -87.261202610880531, 40.393056402402237, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h23v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h23v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>25<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>23<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h23v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -86.549385211963383, 32.260321516698561, 0.0 ], [ -84.9598789753977, 32.115505022138521, 0.0 ], [ -84.771589841499562, 33.450825510785187, 0.0 ], [ -86.387805883707642, 33.597798258607781, 0.0 ], [ -86.549385211963383, 32.260321516698561, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h23v13", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h23v13<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>26<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>23<\/td> <\/tr> <tr> <td>v<\/td> <td>13<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h23v13<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -86.387805883707642, 33.597798258607781, 0.0 ], [ -84.771589841499562, 33.450825510785187, 0.0 ], [ -84.57679822604986, 34.783318272541848, 0.0 ], [ -86.220625183471199, 34.93259044767381, 0.0 ], [ -86.387805883707642, 33.597798258607781, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h24v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h24v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>27<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>24<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h24v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -84.9598789753977, 32.115505022138521, 0.0 ], [ -83.376552977478724, 31.94832751142458, 0.0 ], [ -83.161872587645234, 33.281178349076853, 0.0 ], [ -84.771589841499562, 33.450825510785187, 0.0 ], [ -84.9598789753977, 32.115505022138521, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h24v13", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h24v13<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>28<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>24<\/td> <\/tr> <tr> <td>v<\/td> <td>13<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h24v13<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -84.771589841499562, 33.450825510785187, 0.0 ], [ -83.161872587645234, 33.281178349076853, 0.0 ], [ -82.93981076587059, 34.611038032700847, 0.0 ], [ -84.57679822604986, 34.783318272541848, 0.0 ], [ -84.771589841499562, 33.450825510785187, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h24v12", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h24v12<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>29<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>24<\/td> <\/tr> <tr> <td>v<\/td> <td>12<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h24v12<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -84.57679822604986, 34.783318272541848, 0.0 ], [ -82.93981076587059, 34.611038032700847, 0.0 ], [ -82.709982710387479, 35.93850403063491, 0.0 ], [ -84.375163095132578, 36.113592076489311, 0.0 ], [ -84.57679822604986, 34.783318272541848, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h25v14", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h25v14<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>30<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>25<\/td> <\/tr> <tr> <td>v<\/td> <td>14<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h25v14<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -83.376552977478724, 31.94832751142458, 0.0 ], [ -81.800244660200434, 31.758907272789472, 0.0 ], [ -81.559532627787519, 33.088984990313953, 0.0 ], [ -83.161872587645234, 33.281178349076853, 0.0 ], [ -83.376552977478724, 31.94832751142458, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h25v13", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h25v13<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>31<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>25<\/td> <\/tr> <tr> <td>v<\/td> <td>13<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h25v13<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -83.161872587645234, 33.281178349076853, 0.0 ], [ -81.559532627787519, 33.088984990313953, 0.0 ], [ -81.310585040705206, 34.41588874355233, 0.0 ], [ -82.93981076587059, 34.611038032700847, 0.0 ], [ -83.161872587645234, 33.281178349076853, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h25v12", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h25v12<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>32<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>25<\/td> <\/tr> <tr> <td>v<\/td> <td>12<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h25v12<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -82.93981076587059, 34.611038032700847, 0.0 ], [ -81.310585040705206, 34.41588874355233, 0.0 ], [ -81.05297549383387, 35.740203529570557, 0.0 ], [ -82.709982710387479, 35.93850403063491, 0.0 ], [ -82.93981076587059, 34.611038032700847, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h25v11", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h25v11<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>33<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>25<\/td> <\/tr> <tr> <td>v<\/td> <td>11<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h25v11<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -82.709982710387479, 35.93850403063491, 0.0 ], [ -81.05297549383387, 35.740203529570557, 0.0 ], [ -80.786247894266978, 37.062533749370111, 0.0 ], [ -82.471976589155886, 37.264194801221322, 0.0 ], [ -82.709982710387479, 35.93850403063491, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v20", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v20<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>34<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>20<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v20<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -83.092259110266255, 23.68050361819509, 0.0 ], [ -81.66214994703742, 23.483727889702848, 0.0 ], [ -81.441907671680198, 24.842456976136599, 0.0 ], [ -82.893397062939499, 25.041301567267919, 0.0 ], [ -83.092259110266255, 23.68050361819509, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v13", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v13<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>35<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>13<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v13<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -81.559532627787519, 33.088984990313953, 0.0 ], [ -79.965423673780975, 32.874388318245849, 0.0 ], [ -79.690016334180569, 34.198025257718221, 0.0 ], [ -81.310585040705206, 34.41588874355233, 0.0 ], [ -81.559532627787519, 33.088984990313953, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v12", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v12<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>36<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>12<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v12<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -81.310585040705206, 34.41588874355233, 0.0 ], [ -79.690016334180569, 34.198025257718221, 0.0 ], [ -79.405080955593164, 35.518858467716491, 0.0 ], [ -81.05297549383387, 35.740203529570557, 0.0 ], [ -81.310585040705206, 34.41588874355233, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v11", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v11<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>37<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>11<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v11<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -81.05297549383387, 35.740203529570557, 0.0 ], [ -79.405080955593164, 35.518858467716491, 0.0 ], [ -79.110119783650873, 36.837477123495688, 0.0 ], [ -80.786247894266978, 37.062533749370111, 0.0 ], [ -81.05297549383387, 35.740203529570557, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>38<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -80.786247894266978, 37.062533749370111, 0.0 ], [ -79.110119783650873, 36.837477123495688, 0.0 ], [ -78.804600183246393, 38.154492471285657, 0.0 ], [ -80.509913856898166, 38.383507827966461, 0.0 ], [ -80.786247894266978, 37.062533749370111, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>39<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -80.509913856898166, 38.383507827966461, 0.0 ], [ -78.804600183246393, 38.154492471285657, 0.0 ], [ -78.487951567347707, 39.470542750617923, 0.0 ], [ -80.223449823832638, 39.703783433229127, 0.0 ], [ -80.509913856898166, 38.383507827966461, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>40<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -80.223449823832638, 39.703783433229127, 0.0 ], [ -78.487951567347707, 39.470542750617923, 0.0 ], [ -78.159562000035407, 40.786298794376371, 0.0 ], [ -79.926293873238095, 41.02405343337081, 0.0 ], [ -80.223449823832638, 39.703783433229127, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v7", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v7<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>41<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v7<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -79.926293873238095, 41.02405343337081, 0.0 ], [ -78.159562000035407, 40.786298794376371, 0.0 ], [ -77.818774433353582, 42.102470464843748, 0.0 ], [ -79.617842178334797, 42.345052766325047, 0.0 ], [ -79.926293873238095, 41.02405343337081, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h26v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h26v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>42<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>26<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h26v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -79.617842178334797, 42.345052766325047, 0.0 ], [ -77.818774433353582, 42.102470464843748, 0.0 ], [ -77.464882531838981, 43.419814123105617, 0.0 ], [ -79.297445071512655, 43.66756643781838, 0.0 ], [ -79.617842178334797, 42.345052766325047, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v19", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v19<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>43<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>19<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v19<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -81.441907671680198, 24.842456976136599, 0.0 ], [ -79.997231469733279, 24.622813277476968, 0.0 ], [ -79.748477498014154, 25.972491682515649, 0.0 ], [ -81.214849117435151, 26.19455484046652, 0.0 ], [ -81.441907671680198, 24.842456976136599, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v12", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v12<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>44<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>12<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v12<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -79.690016334180569, 34.198025257718221, 0.0 ], [ -78.078970323844004, 33.957617221008952, 0.0 ], [ -77.767206405294033, 35.274652680255748, 0.0 ], [ -79.405080955593164, 35.518858467716491, 0.0 ], [ -79.690016334180569, 34.198025257718221, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v11", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v11<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>45<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>11<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v11<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -79.405080955593164, 35.518858467716491, 0.0 ], [ -77.767206405294033, 35.274652680255748, 0.0 ], [ -77.444543785201176, 36.589224245334748, 0.0 ], [ -79.110119783650873, 36.837477123495688, 0.0 ], [ -79.405080955593164, 35.518858467716491, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>46<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -79.110119783650873, 36.837477123495688, 0.0 ], [ -77.444543785201176, 36.589224245334748, 0.0 ], [ -77.110408643751072, 37.901924853108838, 0.0 ], [ -78.804600183246393, 38.154492471285657, 0.0 ], [ -79.110119783650873, 36.837477123495688, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>47<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -78.804600183246393, 38.154492471285657, 0.0 ], [ -77.110408643751072, 37.901924853108838, 0.0 ], [ -76.764186755024284, 39.213372062185499, 0.0 ], [ -78.487951567347707, 39.470542750617923, 0.0 ], [ -78.804600183246393, 38.154492471285657, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>48<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -78.487951567347707, 39.470542750617923, 0.0 ], [ -76.764186755024284, 39.213372062185499, 0.0 ], [ -76.405219924498979, 40.52421328245331, 0.0 ], [ -78.159562000035407, 40.786298794376371, 0.0 ], [ -78.487951567347707, 39.470542750617923, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v7", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v7<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>49<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v7<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -78.159562000035407, 40.786298794376371, 0.0 ], [ -76.405219924498979, 40.52421328245331, 0.0 ], [ -76.032802049747872, 41.83513176304686, 0.0 ], [ -77.818774433353582, 42.102470464843748, 0.0 ], [ -78.159562000035407, 40.786298794376371, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h27v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h27v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>50<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>27<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h27v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -77.818774433353582, 42.102470464843748, 0.0 ], [ -76.032802049747872, 41.83513176304686, 0.0 ], [ -75.646174757975956, 43.146853516554863, 0.0 ], [ -77.464882531838981, 43.419814123105617, 0.0 ], [ -77.818774433353582, 42.102470464843748, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v10", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v10<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>51<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>10<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v10<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -77.444543785201176, 36.589224245334748, 0.0 ], [ -75.790433583068847, 36.317990229829093, 0.0 ], [ -75.428296533871134, 37.626038211045788, 0.0 ], [ -77.110408643751072, 37.901924853108838, 0.0 ], [ -77.444543785201176, 36.589224245334748, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>52<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -77.110408643751072, 37.901924853108838, 0.0 ], [ -75.428296533871134, 37.626038211045788, 0.0 ], [ -75.053158911571032, 38.932524473768787, 0.0 ], [ -76.764186755024284, 39.213372062185499, 0.0 ], [ -77.110408643751072, 37.901924853108838, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>53<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -76.764186755024284, 39.213372062185499, 0.0 ], [ -75.053158911571032, 38.932524473768787, 0.0 ], [ -74.664320194645256, 40.238071855488187, 0.0 ], [ -76.405219924498979, 40.52421328245331, 0.0 ], [ -76.764186755024284, 39.213372062185499, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v7", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v7<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>54<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v7<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -76.405219924498979, 40.52421328245331, 0.0 ], [ -74.664320194645256, 40.238071855488187, 0.0 ], [ -74.261029579881225, 41.543335733241939, 0.0 ], [ -76.032802049747872, 41.83513176304686, 0.0 ], [ -76.405219924498979, 40.52421328245331, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>55<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -76.032802049747872, 41.83513176304686, 0.0 ], [ -74.261029579881225, 41.543335733241939, 0.0 ], [ -73.842481485581686, 42.849010394621338, 0.0 ], [ -75.646174757975956, 43.146853516554863, 0.0 ], [ -76.032802049747872, 41.83513176304686, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h28v5", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h28v5<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>56<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>28<\/td> <\/tr> <tr> <td>v<\/td> <td>5<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h28v5<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -75.646174757975956, 43.146853516554863, 0.0 ], [ -73.842481485581686, 42.849010394621338, 0.0 ], [ -73.407810575341443, 44.155836445841807, 0.0 ], [ -75.244522567573654, 44.460155402597458, 0.0 ], [ -75.646174757975956, 43.146853516554863, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h29v9", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h29v9<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>57<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>29<\/td> <\/tr> <tr> <td>v<\/td> <td>9<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h29v9<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -75.428296533871134, 37.626038211045788, 0.0 ], [ -73.759177305599465, 37.327081128597413, 0.0 ], [ -73.355823794307909, 38.62826949894167, 0.0 ], [ -75.053158911571032, 38.932524473768787, 0.0 ], [ -75.428296533871134, 37.626038211045788, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h29v8", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h29v8<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>58<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>29<\/td> <\/tr> <tr> <td>v<\/td> <td>8<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h29v8<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -75.053158911571032, 38.932524473768787, 0.0 ], [ -73.355823794307909, 38.62826949894167, 0.0 ], [ -72.937863246164753, 39.928166996986597, 0.0 ], [ -74.664320194645256, 40.238071855488187, 0.0 ], [ -75.053158911571032, 38.932524473768787, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h29v7", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h29v7<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>59<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>29<\/td> <\/tr> <tr> <td>v<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h29v7<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -74.664320194645256, 40.238071855488187, 0.0 ], [ -72.937863246164753, 39.928166996986597, 0.0 ], [ -72.50450464534687, 41.227400147924158, 0.0 ], [ -74.261029579881225, 41.543335733241939, 0.0 ], [ -74.664320194645256, 40.238071855488187, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h29v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h29v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>60<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>29<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h29v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -74.261029579881225, 41.543335733241939, 0.0 ], [ -72.50450464534687, 41.227400147924158, 0.0 ], [ -72.054900167682192, 42.526630464381313, 0.0 ], [ -73.842481485581686, 42.849010394621338, 0.0 ], [ -74.261029579881225, 41.543335733241939, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h29v5", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h29v5<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>61<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>29<\/td> <\/tr> <tr> <td>v<\/td> <td>5<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h29v5<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -73.842481485581686, 42.849010394621338, 0.0 ], [ -72.054900167682192, 42.526630464381313, 0.0 ], [ -71.588140125423649, 43.826561181303553, 0.0 ], [ -73.407810575341443, 44.155836445841807, 0.0 ], [ -73.842481485581686, 42.849010394621338, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h30v7", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h30v7<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>62<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>30<\/td> <\/tr> <tr> <td>v<\/td> <td>7<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h30v7<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -72.937863246164753, 39.928166996986597, 0.0 ], [ -71.226794895485895, 39.594806644444013, 0.0 ], [ -70.764215291814835, 40.887659165625742, 0.0 ], [ -72.50450464534687, 41.227400147924158, 0.0 ], [ -72.937863246164753, 39.928166996986597, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h30v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h30v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>63<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>30<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h30v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -72.50450464534687, 41.227400147924158, 0.0 ], [ -70.764215291814835, 40.887659165625742, 0.0 ], [ -70.28446318903805, 42.18007677015008, 0.0 ], [ -72.054900167682192, 42.526630464381313, 0.0 ], [ -72.50450464534687, 41.227400147924158, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h31v6", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h31v6<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>64<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>31<\/td> <\/tr> <tr> <td>v<\/td> <td>6<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h31v6<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -70.764215291814835, 40.887659165625742, 0.0 ], [ -69.041087878219869, 40.524460984315432, 0.0 ], [ -68.532135681319673, 41.809727074609548, 0.0 ], [ -70.28446318903805, 42.18007677015008, 0.0 ], [ -70.764215291814835, 40.887659165625742, 0.0 ] ] ] ] } },
{ "type": "Feature", "properties": { "Name": "h31v3", "Description": "<html xmlns:fo=\"http:\/\/www.w3.org\/1999\/XSL\/Format\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"> <head> <META http-equiv=\"Content-Type\" content=\"text\/html\"> <meta http-equiv=\"content-type\" content=\"text\/html; charset=UTF-8\"> <\/head> <body style=\"margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;\"> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px\"> <tr style=\"text-align:center;font-weight:bold;background:#9CBCE2\"> <td>h31v3<\/td> <\/tr> <tr> <td> <table style=\"font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px\"> <tr> <td>FID<\/td> <td>65<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h<\/td> <td>31<\/td> <\/tr> <tr> <td>v<\/td> <td>3<\/td> <\/tr> <tr bgcolor=\"#D4E4F3\"> <td>h_v<\/td> <td>h31v3<\/td> <\/tr> <\/table> <\/td> <\/tr> <\/table> <\/body> <\/html>" }, "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [ -69.269578599570877, 44.766311884057657, 0.0 ], [ -67.456127342271884, 44.380156115854703, 0.0 ], [ -66.886891658410761, 45.666696100270173, 0.0 ], [ -68.732335898766706, 46.061600447111189, 0.0 ], [ -69.269578599570877, 44.766311884057657, 0.0 ] ] ] ] } }
]
}


    ];

    var tileOptions = {
        "color": "#0066ff",
        "weight": 1.5,
        "opacity": 1,
        "fillOpacity": 0
    };

    var markerOptions = {
        radius: 4,
        fillColor: "#00ff33",
        color: "#336600",
        weight: 1,
        opacity: 0.8,
        fillOpacity: 0.5
    };

    // When an HV-tile feature is clicked, the coordinates are returned at the clicked-position
    function onEachFeatureHandler(feature, layer) {
        console.log(feature.properties);
        layer.on('click', function(e){
            document.getElementById('coords').innerHTML = e.latlng.lat + ', ' + e.latlng.lng;
            backend.pointClicked(e.latlng.lat, e.latlng.lng);
            new L.CircleMarker(e.latlng, markerOptions).addTo(map);
        });
    }

    overlay = L.geoJson(hv_tiles, {
        onEachFeature: onEachFeatureHandler,
        style: tileOptions
        }).addTo(map);

}